Apache Wicket 8.0.0 正式发布,Java 的 Web 框架

Apache 基金会已在上周正式推出 Apache Wicket 8.0.0 的正式版。这是一个期待已久的里程碑版本,官方直言通过 Wicket 8 可以“写得更少,实现更多”。

值得注意的是,从 Wicket 8 开始,所需的 Java 版本最低要求是 Java 8,而随着 Java 8 的采用,Wicket 8 也已支持 Lambda。

Apache Wicket 8.0.0 包含新功能、错误修复和改进,包括:

  • 要求 Java 8 或更高版本
  • 要求 Servlet 3.1
  • 组件数据绑定(模型)现在已是一个功能接口
  • 支持 Native JSR 310 Date/Time
  • Java 的 Optional 类型用于合适的地方
  • 删除以前版本中的许多弃用功能

详细更新说明和下载地址请查看 https://wicket.apache.org/news/2018/05/22/wicket-8-released.html

Maven

<dependency>
    <groupId>org.apache.wicket</groupId>
    <artifactId>wicket-core</artifactId>
    <version>8.0.0</version>
</dependency>
  • 发表于:
  • 原文链接https://www.oschina.net/news/96722/apache-wicket-8-0-0-released
  • 如有侵权,请联系 yunjia_community@tencent.com 删除。

扫码关注云+社区

领取腾讯云代金券